#!/bin/sh
# debug标志，可用于试运行的debug
# export QT_DEBUG_PLUGINS=1
# 获取应用名称(如应用名称为app，那么脚本为app.sh
appname=`basename $0 | sed s,\.sh$,,`
# 获取应用当前目录
dirname=`dirname $0`
tmp="${dirname#?}"
# 判断目录是不是根目录
if [ "${dirname%$tmp}" != "/" ];
then
  dirname=$PWD/$dirname
fi
# 将当前目录(库所在目录)加入环境变量
LD_LIBRARY_PATH=$dirname
export LD_LIBRARY_PATH
# 运行
$dirname/$appname "$@"